#include <iostream>
#include <bits/stdc++.h>

using namespace std;
int niz[500001];
int kopija[500001];
int korpice[35];
long long int tezina[35];
int n;
void popunikorpice()
{
    for (int i=0;i<=34;i++)
    {
        for (int j=0;j<n;j++)
        {
            if (kopija[j]%2==1) korpice[i]++;
            kopija[j]=kopija[j]/2;
        }
        if (i==0) tezina[i]=1;
        else tezina[i]=tezina[i-1]*2;
    }
}
bool dalijexorbez(int p)
{
    bool dali=false;
    for (int i=0;i<=34;i++)
    {
        if ((korpice[i]%2==1)&&(i!=p)) dali=true;
    }
    return dali;
}

int main()
{
    std::ios_base::sync_with_stdio(true);
    int odg;
    cin >> n;
    for (int i=0;i<n;i++)
    {
        cin >> niz[i];
        kopija[i]=niz[i];
    }
    popunikorpice();

    if (n%2==1)
    {
        odg=n-korpice[0];

        //cout << odg << endl;
        for (int k=1;k<=34;k++)
        {
            if (tezina[k]*(n-korpice[k])<odg) odg=tezina[k]*(n-korpice[k]);
        }
        cout << odg;

    }
    else
    {



    }


    return 0;
}